MVC-class {MVCClass} | R Documentation

## Class "MVC": A virtual class to represent a model-view-controller object

### Description

MVC is a virtual class to represent a model-view-controller object. The MVC class will combine these three components (model, view and controller) so that the MVC objects can be reused and linked.

### Objects from the Class

A virtual Class: No objects may be created from it.

### Slots

`model`:
  the model object (will inherit from the gModel virtual class)
`viewList`:
  a list of the view objects that visualize the model
`controller`:
  the environment that stores information for the MVC object

### Methods

controller<-
  Sets the `controller` slot
controller
  Returns the `controller` slot
model<-
  Sets the `model` slot
model
  Returns the `model` slot
viewList<-
  Sets the `viewList` slot
viewList
  Returns the `viewList` slot

### Author(s)

Elizabeth Whalen

### See Also

`gModel-class`, `genView-class`, `singleModelMVC-class`, `linkedModelMVC-class`

### Examples

[Package MVCClass version 1.10.0 Index]